Help
cancel
Showing results for 
Search instead for 
Did you mean: 
Highlighted
Ground Controller Lvl 1
Message 1 of 2

npm ERR! code EBADPLATFORM

Solved! Go to Solution.

Hi,

 

Trying to install Juice Shop. First usage of Git.

What is the problem here:

 

.\juice-shop>npm install
npm ERR! code EBADPLATFORM
npm ERR! notsup Unsupported platform for juice-shop@9.2.0: wanted {"os":"win32,linux,darwin,freebsd,openbsd","arch":"x64,x32,arm64,arm"} (current: {"os":"win32","arch":"ia32"})
npm ERR! notsup Valid OS: win32,linux,darwin,freebsd,openbsd
npm ERR! notsup Valid Arch: x64,x32,arm64,arm
npm ERR! notsup Actual OS: win32
npm ERR! notsup Actual Arch: ia32

 

System type: 32-bit operating system, x64-based processor

1 Reply
Solution
Pilot Lvl 3
Message 2 of 2

Re: npm ERR! code EBADPLATFORM

Hi @pampapam2 

 

That's not a git or github error, but the npm module you're trying to install does not support windows in ia32 mode. You could either use a 64bit version of Windows or contact the developers of juice-show to ask for ia32 windows support.